org.h2.jdbcx

## Class JdbcDataSourceFactory

- java.lang.Object
- - org.h2.jdbcx.JdbcDataSourceFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

    public final class JdbcDataSourceFactory
    extends java.lang.Object
    implements javax.naming.spi.ObjectFactory

This class is used to create new DataSource objects. An application should not use this class directly.

### Constructor Summary

Constructors
Constructor and Description
`JdbcDataSourceFactory()` The public constructor to create new factory objects.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,?> environment)` Creates a new object using the specified location or reference information.
`static TraceSystem` `getTraceSystem()` INTERNAL

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcDataSourceFactory

    public JdbcDataSourceFactory()

The public constructor to create new factory objects.

### Method Detail

#### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable<?,?> environment)

Creates a new object using the specified location or reference information.

Specified by:
  `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
Parameters:
  `obj` - the reference (this factory only supports objects of type javax.naming.Reference)
  `name` - unused
  `nameCtx` - unused
  `environment` - unused
Returns:
  the new JdbcDataSource, or null if the reference class name is not JdbcDataSource.

#### getTraceSystem

    public static TraceSystem getTraceSystem()

INTERNAL

Returns:
  TraceSystem